namespace Syntriax.Engine.Core.Debug;

public class LoggerContainer : Behaviour, ILogger
{
    public ILogger Logger { get; set; } = new ConsoleLogger();

    public ILogger.Level FilterLevel { get => Logger.FilterLevel; set => Logger.FilterLevel = value; }
    public void Log(string message, ILogger.Level level = ILogger.Level.Info, bool force = false) => Logger.Log(message, level, force);
}
