using System;

namespace Syntriax.Engine.Core.Serialization;

public class TypeContainer
{
    public object? Value { get; set; } = string.Empty;
    public string Type { get; set; } = string.Empty;

    public TypeContainer() { }
    public TypeContainer(Type type) { Type = type.FullName ?? string.Empty; }
    public TypeContainer(object? value) { Value = value; Type = value?.GetType().FullName ?? string.Empty; }
}
